[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.RealizeAntialiasing

Implements the Anti-aliasing feature for the canvas.

## Declaration

Source position: graphics.pp line 1083

`protected procedure TCanvas.RealizeAntialiasing; virtual;`

## Description

RealizeAntialiasing is called when a new value has been assigned to the AntialiasingMode property. No actions are performed in the method if the Handle has not been allocated for the canvas.

RealizeAntialiasing uses the value in AntialiasingMode to determine the action required in the method.

amOn
  Calls DCSetAntialiasing in the widgetset to enable anti-aliasing for the Handle.
amOff
  Calls DCSetAntialiasing in the widgetset to disable anti-aliasing for the Handle.
amDontCare
  Calls DCSetAntialiasing using the default capabilities for the widgetset.